﻿using FlowerShopDataModels.Enums;

namespace FlowerShopDataModels.Models
{
    public interface IOrderModel : IId
    {
        int BouquetId { get; }
        int ClientId { get; }
        int? ImplementerId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
